//A=21 to 27
//B=30 to 36
//C=40 to 46
//D=49 to 55
//E= 1 to  8
//F=12 to 18
//G=57 to 64

//0=A,B,C,D,E,F
//1=B,C
//2=A,B,D,E,G
//3=A,B,C,D,G
//4=B,C,F,G
//5=A,C,D,F,G
//6=A,C,D,E,F,G
//7=A,B,C
//8=A,B,C,D,E,F,G
//9=A,B,C,D,F,G

#include <Adafruit_NeoPixel.h>
#define LED_PIN    6
#define LED_COUNT 64
Adafruit_NeoPixel strip(LED_COUNT, LED_PIN, NEO_GRB + NEO_KHZ800);

int seg[7][2] ={{21, 27},
              {30, 36},
              {40, 46},
              {49, 55},
              {1, 8},
              {12, 18},
              {57, 64}};

void setup() {
  strip.begin();
  strip.show();
  strip.setBrightness(255);
}

void loop() {
  for(int z=9; z>=0; z--){
    showNum(z);  
    delay(1000);
  }
}

void showSegment(char a){
  int n = a-'A';
  for(int i =  seg[n][0]-1; i<seg[n][1]; i++){
    strip.setPixelColor(i, strip.Color(0,   255,   0));  
  }
}

void showNum(int n){
  strip.clear();
  switch(n){
    case 0:
      showSegment('A');
      showSegment('B');
      showSegment('C');
      showSegment('D');
      showSegment('E');
      showSegment('F');
      break;
    case 1:
      showSegment('B');
      showSegment('C');
      break;
    case 2:
      showSegment('A');
      showSegment('B');
      showSegment('D');
      showSegment('E');
      showSegment('G');
      break;
    case 3:
      showSegment('A');
      showSegment('B');
      showSegment('C');
      showSegment('D');
      showSegment('G');
      break;
    case 4:
      showSegment('B');
      showSegment('C');
      showSegment('F');
      showSegment('G');
      break;
    case 5:
      showSegment('A');
      showSegment('C');
      showSegment('D');
      showSegment('F');
      showSegment('G');
      break;
    case 6:
      showSegment('A');
      showSegment('C');
      showSegment('D');
      showSegment('E');
      showSegment('F');
      showSegment('G');
      break;
    case 7:
      showSegment('A');
      showSegment('B');
      showSegment('C');
      break;
    case 8:
      showSegment('A');
      showSegment('B');
      showSegment('C');
      showSegment('D');
      showSegment('E');
      showSegment('F');
      showSegment('G');
      break;
    case 9:
      showSegment('A');
      showSegment('B');
      showSegment('C');
      showSegment('D');
      showSegment('F');
      showSegment('G');
      break;
      default:
      showSegment('A');
      showSegment('D');
      showSegment('E');
      showSegment('F');
      showSegment('G');
      break;
  }
  strip.show();
}
